import { WowzaSecureToken } from "./wowza-secure-token";
export interface WowzaConnectionConfig {
    sdpUrl: string;
    videoEl: HTMLVideoElement;
    streamInfo: {
        applicationName: string;
        streamName: string;
        sessionId: string;
    };
    secureToken?: WowzaSecureToken;
    userData?: Record<string, string>;
    stateCallback?: (ev: Event) => void;
    closeCallback?: (ev: Event) => void;
    errorCallback?: (ev: Event) => void;
}
