import { WowzaConnectionConfig } from "./wowza-conn-config";
export declare class WowzaConnector {
    wsConnection?: WebSocket;
    peerConnection?: RTCPeerConnection;
    config: WowzaConnectionConfig;
    constructor(config: WowzaConnectionConfig);
    start(): void;
    stop(): void;
    wsConnect(url: string): void;
    wsSend(command: string, ext?: any): void;
    onIceCandidateRcv: (ev: RTCPeerConnectionIceEvent) => void;
    onDescriptionRcv: (desc: RTCSessionDescriptionInit) => void;
    onTrackRcv: (ev: RTCTrackEvent) => void;
    onMsgRcv: (ev: MessageEvent) => void;
    onStateChanged: (ev: Event) => void;
    onError: (ev: Event) => void;
    onClose: (ev: Event) => void;
    onWsConnected: (c: any) => void;
}
