import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { PlayerComponent } from '@ngx-telly/player';
import { WowzaConnector } from './wowza-connector';
import { WowzaSecureToken } from './wowza-secure-token';
import * as i0 from "@angular/core";
export declare class WowzaDirective implements OnChanges, OnDestroy {
    tellyWowza?: string;
    streamName?: string;
    appName?: string;
    sessionId: string;
    token?: WowzaSecureToken;
    wowza?: WowzaConnector;
    player: PlayerComponent;
    ngOnChanges(changes: SimpleChanges): void;
    create(): void;
    destroy(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WowzaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<WowzaDirective, "[tellyWowza]", never, { "tellyWowza": { "alias": "tellyWowza"; "required": true; }; "streamName": { "alias": "streamName"; "required": false; }; "appName": { "alias": "appName"; "required": false; }; "sessionId": { "alias": "sessionId"; "required": false; }; "token": { "alias": "token"; "required": false; }; }, {}, never, never, true, never>;
}
